#include <string.h>

int stricmp(char *__s1, char *__s2)
{
	while (*__s1) {
		if (toupper(*__s1) != toupper(*__s2))
			return toupper(*__s1) > toupper(*__s2) ? 1 : -1;
		__s1++;
		__s2++;
	}
	if (*__s2) return -1;
	return 0;
}